/** @type {import('tailwindcss').Config} */
module.exports = {
  content: ["./src/**/*"],
  theme: {
    extend: {
      fontFamily: {
        sans: ['ui-sans-serif', 'system-ui', 'sans-serif', "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji"],
        mono: ['iosevkalyte', 'ui-monospace', 'monospace'],
      },
      colors: {
        rosewater: "var(--Rosewater)",
        flamingo: "var(--Flamingo)",
        pink: "var(--Pink)",
        mauve: "var(--Mauve)",
        red: "var(--Red)",
        maroon: "var(--Maroon)",
        peach: "var(--Peach)",
        yellow: "var(--Yellow)",
        green: "var(--Green)",
        teal: "var(--Teal)",
        sky: "var(--Sky)",
        sapphire: "var(--Sapphire)",
        blue: "var(--Blue)",
        lavender: "var(--Lavender)",
        text: "var(--Text)",
        subtext1: "var(--Subtext1)",
        subtext0: "var(--Subtext0)",
        overlay2: "var(--Overlay2)",
        overlay1: "var(--Overlay1)",
        overlay0: "var(--Overlay0)",
        surface2: "var(--Surface2)",
        surface1: "var(--Surface1)",
        surface0: "var(--Surface0)",
        bg: "var(--Base)",
        mantle: "var(--Mantle)",
        crust: "var(--Crust)",
      },
    },
  },
  plugins: [],
}

